Set a contract usage filter
curl --request POST \
--url https://api.metronome.com/v1/contracts/setUsageFilter \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "13117714-3f05-48e5-a6e9-a66093f13b4d",
"contract_id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
"group_key": "business_subscription_id",
"group_values": [
"ID-1",
"ID-2"
],
"starting_at": "2020-01-01T00:00:00.000Z"
}
'import requests
url = "https://api.metronome.com/v1/contracts/setUsageFilter"
payload = {
"customer_id": "13117714-3f05-48e5-a6e9-a66093f13b4d",
"contract_id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
"group_key": "business_subscription_id",
"group_values": ["ID-1", "ID-2"],
"starting_at": "2020-01-01T00:00:00.000Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: '13117714-3f05-48e5-a6e9-a66093f13b4d',
contract_id: 'd7abd0cd-4ae9-4db7-8676-e986a4ebd8dc',
group_key: 'business_subscription_id',
group_values: ['ID-1', 'ID-2'],
starting_at: '2020-01-01T00:00:00.000Z'
})
};
fetch('https://api.metronome.com/v1/contracts/setUsageFilter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>"
}Contracts
Set a contract usage filter
If a customer has multiple contracts with overlapping rates, the usage filter routes usage to the appropriate contract based on a predefined group key.
As an example, imagine you have a customer associated with two projects. Each project is associated with its own contract. You can create a usage filter with group key project_id
on each contract, and route usage for project_1 to the first contract and project_2 to the second contract.
Use this endpoint to:
- Support enterprise contracting scenarios where multiple contracts are associated to the same customer with the same rates.
- Update the usage filter associated with the contract over time.
Usage guidelines:
To use usage filters, the group_key must be defined on the billable metrics underlying the rate card on the contracts.
POST
/
v1
/
contracts
/
setUsageFilter
Set a contract usage filter
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Set usage filter for contract
Response
Success
⌘I